Retrieves all db Reports
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "d520d421-37d0-4b4e-af79-236a20cdea1e",
"db_report_type_id": "48736c1d-ff2d-4658-a01f-bf4ad38ec426",
"user_id": "2fe5b035-4f0f-4d96-8cd2-1fd0c77cab42",
"company_id": "76e668a0-c69c-42ad-b38f-9f3045f98d0b",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "5c2b1b0b-28b7-4310-97e4-655d092bbeb5",
"id_in_table": "96b7b3f6-0675-47a2-9803-bbf368ee3b8b",
"date_last_update": "2026-10-28T21:48:11.1104357+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-28T21:48:11.1104357+00:00"
}